//-----------------------------------------------------------------------------
// 01. TUNNEL
//-----------------------------------------------------------------------------


	DB	2 ;COMM_ASM
	CALL	CLEAR_RGB
	;--
	LD	A,#10
	CALL	PAGER
	LD	HL,BABEPIX2
	LD	DE,#4000
	LD	BC,BABEPIX2_END - BABEPIX2
	LDIR

	;--
	LD	A,#17
	CALL	PAGER
	LD	HL,#4000
	LD	DE,#C000
	CALL	DEPACK_PL5
	;---
	LD	A,#10
	CALL	PAGER
	LD	HL,BABEPIX1
	LD	DE,#4000
	CALL	DEPACK_PL5
	;---
	
	LD	IY,$+5; - EFFTABLE2 + EFFTABLE
	RET

	;init_fx
	DB	T_FX_INI

	; start music after first effect init
	DB	2		;COMM_ASM
	CALL	MUSIC_ON
	;---
	DI
	LD	BC,3744-104	; call im2 subroutine with play music while counter <= this value
WAITMUSLP	
	CALL	IM2EXEC
	LD	HL,(MUSPOS)
	AND	A
	SBC	HL,BC
	JP	NZ,WAITMUSLP
	;---
	LD	IY,$+5
	RET
	
	DB	T_FX_NOP
	DW	3744-1
	
	DB	T_BLINK_ON
	DB	T_BLINK_ON
	
	;run_fx
	DB	T_FX_RUN
	DW	#FFFF		; fx run while fx-local frame counter <= this value

	